body {
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: rgb(0, 116, 0);
}

.heading {
    font-family: monospace;
    font-size: 50px;
    color: white;

}

.timer-flag {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 0px;
}

.timer {
    color: white;
    font-family: monospace;
    font-weight: bold;
    font-size: large;
}

.flags {
    color: white;
    font-family: monospace;
}

.yard {
    background-color: rgb(19, 211, 19);
    height: 70vh;
    width: 50vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 0px;
    margin-bottom: 20px;
   
}

.row {
    display: flex;
    flex-direction: row;

}

.title {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-bottom: 0px;
    height: 10vh;
}


.tile1 {
    width: 4vw;
    height: 6vh;
    cursor: pointer;
    background-color: rgb(0, 179, 0);
    border: none;
    overflow: hidden;
    font-weight: bold;
    
}

.tile2 {
    width: 4vw;
    height: 6vh;
    cursor: pointer;
    background-color: rgb(0, 165, 0);
    border: none;
    overflow: hidden;
    font-weight: bold;

}

.tile1:hover {
    background-color: rgb(66, 215, 66);
}

.tile2:hover {
    background-color: rgb(66, 215, 66);
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; 
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    justify-content: center;
    align-items: center;
}

.close-btn {
    margin-top: 20px;
    cursor: pointer;
    background: #ff5c5c;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    
}

.modal-content {
    position: relative; /* Make this the reference point for absolute positioning */
    background: white;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    font-family: monospace;
}

.cancel-btn {
    position: absolute; /* Allow precise positioning within .modal-content */
    top: 10px; /* Adjust distance from the top */
    right: 10px; /* Adjust distance from the right */
    background: transparent;
    border: none;
    color: grey;
    cursor: pointer;
    font-size: 15px;
}


.difficulty-dropdown {
    border: none;
    color: white;
    background-color: transparent;
    font-family: monospace;
    margin-top: 20px;
    cursor: pointer;
}

.difficulty {
    position: absolute;
    top: 0;
    left: 0;

}

.difficulty-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: white;
    color: black;
    font-family: monospace;
    border-radius: 10px;
    margin-top: 10px;
    box-shadow: 4px 4px 10px 0px rgb(0, 0, 0);
    padding: 10px;
    
}

.difficult {
    border: none;
    background-color: white;
    padding: 10px;
    font-family: monospace;
    cursor: pointer;
}